Download it now!
Bug 125715 - Crash in: ld-2.22.so while starting with SAL_USE_VCLPLUGIN=gtk3_kde5 soffice
Summary: Crash in: ld-2.22.so while starting with SAL_USE_VCLPLUGIN=gtk3_kde5 soffice
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 125698 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-06-05 15:30 UTC by opensuse.lietuviu.kalba
Modified: 2019-11-13 22:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["ld-2.22.so"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description opensuse.lietuviu.kalba 2019-06-05 15:30:49 UTC
This bug was filed from the crash reporting server and is br-54de2c49-e3ec-4400-9f78-f606adcebdb3.
=========================================

LibreOffice crash at very start if started with:
SAL_USE_VCLPLUGIN=gtk3_kde5 soffice

I use openSUSE Leap 42.3 Linux, KDE 5.8.7, KF 5.32, Qt 5.6.2.
Comment 1 opensuse.lietuviu.kalba 2019-06-05 15:44:14 UTC
If I force to downgrade only one package – libobasis6.2-kde-integration – 
from 6.2.4.2 to 6.2.3.2 version, I can NOT reproduce bug.
All other LibreOffice packages are for 6.2.4.2. 

With downgraded libobasis6.2-kde-integration 6.2.3.2, I can start successfully:
SAL_USE_VCLPLUGIN=gtk3_kde5 soffice

Now in LibreOffoce About dialog I see:
Versija: 6.2.4.2
Darinio identifikatorius: 2412653d852ce75f65fbfa83fb7e7b669a126d64
Procesoriaus gijos: 4; OS:Linux 4.4; Sąsajos pateikimas: numatytasis; VCL: kde4; 
Lokalė: lt-LT (lt_LT.UTF-8); UI-Language: lt-LT
Calc: threaded
Comment 2 Xisco Faulí 2019-06-05 15:50:50 UTC
Does it work if you download LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? If so it's an opensuse problem and it should be reported to them, they are providing a wrong libobasis6.2-kde-integration package...
Comment 3 opensuse.lietuviu.kalba 2019-06-05 15:54:53 UTC
LibreOffice installed from RPMs from LibreOffice site https://www.libreoffice.org/download/download/
Comment 4 Xisco Faulí 2019-06-05 15:56:29 UTC
*** Bug 125698 has been marked as a duplicate of this bug. ***
Comment 5 opensuse.lietuviu.kalba 2019-06-05 16:20:16 UTC
I can reproduce with 

Version: 6.3.0.0.alpha1+
Build ID: 77ae0abe21f672cf4b7d2e069f1d40d20edc49a7
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-31_15:33:33
Locale: lt-LT (lt_LT.UTF-8); UI-Language: en-US
Calc: threaded

Indeed, all these commands fails in master build:
> SAL_USE_VCLPLUGIN=gtk3_kde5  /opt/libreofficedev6.3/program/soffice
> SAL_USE_VCLPLUGIN=kde5  /opt/libreofficedev6.3/program/soffice
> SAL_USE_VCLPLUGIN=qt5  /opt/libreofficedev6.3/program/soffice
> SAL_USE_VCLPLUGIN=kde4  /opt/libreofficedev6.3/program/soffice

The only way to start LibreOffice is:
> SAL_USE_VCLPLUGIN=gtk3  /opt/libreofficedev6.3/program/soffice

http://crashreport.libreoffice.org/stats/crash_details/e42da55d-8dde-4a9c-8a96-75a39d655724 (it indicates that this is for 6.2.4.2 version, but actually is from master version – I manually edited ~/.config/libreofficedev/4/crash/dump.ini to be able to submit crash raport – otherwise it don't show link/crash ID)
Comment 6 opensuse.lietuviu.kalba 2019-06-05 16:27:44 UTC
In comment you could see:
"I can reproduce with <...> VCL: gtk3; " , 
but actually it is pasted from case with
> SAL_USE_VCLPLUGIN=gtk3  /opt/libreofficedev6.3/program/soffice
that is only working way (to start and to grab version information).
Comment 7 Michael Weghorn 2019-06-05 16:40:13 UTC
(In reply to opensuse.lietuviu.kalba from comment #0)
> I use openSUSE Leap 42.3 Linux, KDE 5.8.7, KF 5.32, Qt 5.6.2.

Hm, that's a very old Qt version and according to [1], openSUSE Leap 42.3 is close to it EOL.
Can you try with a newer version of openSUSE Leap?

[1] https://en.wikipedia.org/wiki/OpenSUSE#Releases
Comment 8 Jan-Marek Glogowski 2019-06-09 16:16:59 UTC
(In reply to opensuse.lietuviu.kalba from comment #1)
> If I force to downgrade only one package – libobasis6.2-kde-integration – 
> from 6.2.4.2 to 6.2.3.2 version, I can NOT reproduce bug.
> All other LibreOffice packages are for 6.2.4.2. 
> 
> With downgraded libobasis6.2-kde-integration 6.2.3.2, I can start
> successfully:
> SAL_USE_VCLPLUGIN=gtk3_kde5 soffice
> 
> Now in LibreOffoce About dialog I see:
> Versija: 6.2.4.2
> Darinio identifikatorius: 2412653d852ce75f65fbfa83fb7e7b669a126d64
> Procesoriaus gijos: 4; OS:Linux 4.4; Sąsajos pateikimas: numatytasis; VCL:
> kde4; 
> Lokalė: lt-LT (lt_LT.UTF-8); UI-Language: lt-LT
> Calc: threaded

Yup, because you're running kde4 and it's the only plugin in your list that doesn't depend on KDE5 / Qt5 ("VCL: kde4"). I guess everything else is broken with the downgrade. My suspect are the QApplication changes in libkde5be1lo.so - nothing else between 6.2.3 and 6.2.4 looks suspicious. Maybe it's also a Qt bug in your old version.

What happens if you install the libobasis6.2-kde-integration from 6.2.4 and then remove (or rename) the file libkde5be1lo.so in /opt/libreoffice6.2/program/ and installed libobasis6.2-kde-integration?

That shell backend is just needed for some KDE settings, like proxy etc., but shouldn't matter for most users.
Comment 9 opensuse.lietuviu.kalba 2019-06-09 17:15:44 UTC
(In reply to Jan-Marek Glogowski from comment #8) 
> Yup, because you're running kde4 

I don't have KDE 4. I use KDE Plasma 5.8.7, KF 5.32, Qt 5.6.2, although I have some KDE 4 libs, e.g. libkde4 4.14.33, libqt4 4.8.7 . 

> What happens if you install the libobasis6.2-kde-integration from 6.2.4 and
> then remove (or rename) the file libkde5be1lo.so in
> /opt/libreoffice6.2/program/ ?

Result is same: crash in same places, e.g. mouse hover on File>Send. See
http://crashreport.libreoffice.org/stats/crash_details/ac763bea-fd7e-4185-b08e-f3497604146d
Comment 10 opensuse.lietuviu.kalba 2019-06-09 17:31:31 UTC
I played with other files from libobasis6.2-kde-integration 6.2.4 RPM.
I found, that removing
/opt/libreoffice6.2/program/libvclplug_gtk3_kde5lo.so
is sufficient workaround to prevent all crashes.
Comment 11 opensuse.lietuviu.kalba 2019-06-09 17:33:09 UTC
I have libgtk-3-0 3.20.10
Comment 12 Jan-Marek Glogowski 2019-06-10 01:15:52 UTC
(In reply to opensuse.lietuviu.kalba from comment #9)
> (In reply to Jan-Marek Glogowski from comment #8) 
> > Yup, because you're running kde4 
> 
> I don't have KDE 4. I use KDE Plasma 5.8.7, KF 5.32, Qt 5.6.2, although I
> have some KDE 4 libs, e.g. libkde4 4.14.33, libqt4 4.8.7 .

Ok, I wasn't precise here. You're running LibreOffice with the kde4 backend:

(In reply to opensuse.lietuviu.kalba from comment #1)
> Procesoriaus gijos: 4; OS:Linux 4.4; Sąsajos pateikimas: numatytasis; VCL:
> kde4; 

LibreOffice has an internal list of priorities for the VCL backends, based on the detected desktop. You can tell it your preference via SAL_USE_VCLPLUGIN, but if that isn't available or fails to load, it will be ignored and the fallback list tested, so LO can start at all. You can only be sure what you're running LO with, if you check the VCL value in "About LibreOffice".
 
> > What happens if you install the libobasis6.2-kde-integration from 6.2.4 and
> > then remove (or rename) the file libkde5be1lo.so in
> > /opt/libreoffice6.2/program/ ?
> 
> Result is same: crash in same places, e.g. mouse hover on File>Send. See
> http://crashreport.libreoffice.org/stats/crash_details/ac763bea-fd7e-4185-
> b08e-f3497604146d

Ok - but still it's kde4: the linked crash lists the libQtCore.so.4.8.7 in the backtrace. And the backtrace is totally different.

But all this proves my suspicion that maybe LO is using some Qt5 or KF5 function, which isn't actually available in your old libraries. LibreOffice tries to load the plugin library (libvclplug*.so) but that fails.

(In reply to opensuse.lietuviu.kalba from comment #10)
> I played with other files from libobasis6.2-kde-integration 6.2.4 RPM.
> I found, that removing
> /opt/libreoffice6.2/program/libvclplug_gtk3_kde5lo.so
> is sufficient workaround to prevent all crashes.

I don't know how that could help.
BTW: for 6.2 the fallback list is: kde5, gtk3_kde5, kde4, gtk3, gtk, gen.
Comment 13 opensuse.lietuviu.kalba 2019-06-10 05:55:32 UTC
(In reply to Jan-Marek Glogowski from comment #12)

> > Result is same: crash in same places, e.g. mouse hover on File>Send. See
> > http://crashreport.libreoffice.org/stats/crash_details/ac763bea-fd7e-4185-
> > b08e-f3497604146d
> 
> Ok - but still it's kde4: the linked crash lists the libQtCore.so.4.8.7 in
> the backtrace. And the backtrace is totally different.
> 

That one perhaps was crash during try to send crash report. (Though I successed to send report after downgrading libobasis6.2-kde-integration from 6.2.4 to 6.2.3)

Meanwhile these should be with libvclplug_gtk3_kde5lo.so from libobasis6.2-kde-integration 6.2.4 after:
Mouse hover on File>Send
- with libkde5be1lo.so from libobasis6.2-kde-integration 6.2.4
http://crashreport.libreoffice.org/stats/crash_details/e5d08905-7e5e-4285-896e-d189b5c07f4c
- without libkde5be1lo.so
http://crashreport.libreoffice.org/stats/crash_details/5eae3068-609e-4e0a-a03a-8e02dca20074

Trying to open password protected document:
- with from libkde5be1lo.so libobasis6.2-kde-integration 6.2.4
http://crashreport.libreoffice.org/stats/crash_details/584b6e20-564f-462b-9519-f21485f51173
- without libkde5be1lo.so
http://crashreport.libreoffice.org/stats/crash_details/f04a7c74-8535-420a-a9cc-cf3f9b16d6c2

SAL_USE_VCLPLUGIN=gtk3_kde5 soffice
- with from libkde5be1lo.so libobasis6.2-kde-integration 6.2.4
http://crashreport.libreoffice.org/stats/crash_details/edc2fccc-2705-4aa0-8118-f3ae02f146e7
- without libkde5be1lo.so
http://crashreport.libreoffice.org/stats/crash_details/b30522da-159e-47d6-a053-9f6f4dfc66ab
Comment 14 opensuse.lietuviu.kalba 2019-06-10 06:03:47 UTC
In http://crashreport.libreoffice.org/stats/signature/ld-2.22.so
I see that the first three bug reports was for 6.2.3.2 (not 6.2.4.2) version in Linux, but only one mentioned Qt4:
http://crashreport.libreoffice.org/stats/crash_details/0d540059-b973-4b08-9c16-c27779826f29
Comment 15 QA Administrators 2019-06-11 03:01:51 UTC Comment hidden (obsolete)
Comment 16 opensuse.lietuviu.kalba 2019-07-03 17:37:39 UTC
If LibreOffice stopped to support KDE4 in 6.2.3.2 -> 6.2.4.2 version update and in 6.3.*, I suggest it would be better to entirely remove 
program/libkde4be1lo.so
program/libvclplug_kde4lo.so

and would be better to ensure that systems with Qt4 and older Qt5 will not use KDE/Qt for LibreOffice and will automagically switch to gtk3.
Comment 17 opensuse.lietuviu.kalba 2019-07-03 19:47:58 UTC
(In reply to Michael Weghorn from comment #7)
> (In reply to opensuse.lietuviu.kalba from comment #0)
> > I use openSUSE Leap 42.3 Linux, KDE 5.8.7, KF 5.32, Qt 5.6.2.
> 
> Hm, that's a very old Qt version and according to [1], openSUSE Leap 42.3 is
> close to it EOL.
> Can you try with a newer version of openSUSE Leap?
> 
> [1] https://en.wikipedia.org/wiki/OpenSUSE#Releases


I can not reproduce this bug in newest stable openSUSE Leap 15.1 with Qt 5.9.7 in KDE Plasma 5.12 LTS

with LibreOffice 6.2.4.2

Versija: 6.2.4.2
Darinio identifikatorius: 2412653d852ce75f65fbfa83fb7e7b669a126d64
Procesoriaus gijos: 4; OS:Linux 4.12; Sąsajos pateikimas: numatytasis; VCL: kde5; 
Lokalė: lt-LT (lt_LT.UTF-8); UI-Language: lt-LT
Calc: threaded
Comment 18 Michael Weghorn 2019-07-04 15:32:04 UTC
(In reply to opensuse.lietuviu.kalba from comment #16)
> If LibreOffice stopped to support KDE4 in 6.2.3.2 -> 6.2.4.2 version update
> and in 6.3.*, I suggest it would be better to entirely remove 
> program/libkde4be1lo.so
> program/libvclplug_kde4lo.so
> 
> and would be better to ensure that systems with Qt4 and older Qt5 will not
> use KDE/Qt for LibreOffice and will automagically switch to gtk3.

Trying LO 6.2 on Debian 9 (Qt 5.7) with Plasma desktop, it didn't even try to load qt5/kde5 VCL, but tried kde4 at once, so the qt5/kde5 case seems to be covered there already.

kde4 as completely been removed for the upcoming 6.3 release.

(In reply to opensuse.lietuviu.kalba from comment #17)
> I can not reproduce this bug in newest stable openSUSE Leap 15.1 with Qt
> 5.9.7 in KDE Plasma 5.12 LTS
> 
> with LibreOffice 6.2.4.2
> 
> Versija: 6.2.4.2
> Darinio identifikatorius: 2412653d852ce75f65fbfa83fb7e7b669a126d64
> Procesoriaus gijos: 4; OS:Linux 4.12; Sąsajos pateikimas: numatytasis; VCL:
> kde5; 
> Lokalė: lt-LT (lt_LT.UTF-8); UI-Language: lt-LT
> Calc: threaded

Thanks for the update. Given this, and the fact that OpenSUSE Leap 42.3 is actually EOL now and kde4 has been removed from LO master, can we close this bug as WORKSFORME?
Comment 19 Jan-Marek Glogowski 2019-07-12 10:44:55 UTC
Can you test if the current daily build still crashes. There were some potential fixes merged (see bug 126272 for more information).

Please test a daily build from https://dev-builds.libreoffice.org/daily/libreoffice-6-2/Linux-rpm_deb-x86_64@86-TDF/ with date "2019-07-11" or later (More information about daily builds can be found at: https://wiki.documentfoundation.org/Testing_Daily_Builds)
Comment 20 opensuse.lietuviu.kalba 2019-07-25 10:07:01 UTC
LibreOffice 6.2.5.2
Darinio identifikatorius: 1ec314fa52f458adc18c4f025c545a4e8b22c159

fails to start entirely in openSUSE Leap 42.3 if 
libobasis6.2-kde-integration 6.2.5.2 is installed
Comment 21 opensuse.lietuviu.kalba 2019-07-25 10:11:13 UTC
(In reply to opensuse.lietuviu.kalba from comment #20)
> LibreOffice 6.2.5.2
> Darinio identifikatorius: 1ec314fa52f458adc18c4f025c545a4e8b22c159
> 
> fails to start entirely in openSUSE Leap 42.3 if 
> libobasis6.2-kde-integration 6.2.5.2 is installed

http://crashreport.libreoffice.org/stats/crash_details/0e22d863-6b3a-4e30-ad2f-0d04edc0b7b1
Comment 22 opensuse.lietuviu.kalba 2019-07-25 10:22:35 UTC
(In reply to Jan-Marek Glogowski from comment #19)
> Can you test if the current daily build still crashes. There were some
> potential fixes merged (see bug 126272 for more information).
> 
> Please test a daily build from
> https://dev-builds.libreoffice.org/daily/libreoffice-6-2/Linux-rpm_deb-
> x86_64@86-TDF/ with date "2019-07-11" or later (More information about daily
> builds can be found at:
> https://wiki.documentfoundation.org/Testing_Daily_Builds)


I installed LibreOffice from https://dev-builds.libreoffice.org/daily/libreoffice-6-2/Linux-rpm_deb-x86_64@86-TDF/2019-07-11_09.35.49/libreoffice-6-2~2019-07-11_09.35.49_LibreOfficeDev_6.2.6.0.0_Linux_x86-64_rpm.tar.gz

It fails to start in openSUSE Leap 42.3 without SAL_USE_VCLPLUGIN parameter: 

> /opt/libreofficedev6.2/program/soffice
/opt/libreofficedev6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreofficedev6.2/program/libmergedlo.so)                                                                   
/opt/libreofficedev6.2/program/soffice.bin: relocation error: /opt/libreofficedev6.2/program/libvclplug_qt5lo.so: symbol _ZN5QIcon9fromThemeERK7QString, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference
Comment 23 opensuse.lietuviu.kalba 2019-07-25 10:26:02 UTC
(In reply to opensuse.lietuviu.kalba from comment #22)
>  
> I installed LibreOffice from
> https://dev-builds.libreoffice.org/daily/libreoffice-6-2/Linux-rpm_deb-
> x86_64@86-TDF/2019-07-11_09.35.49/libreoffice-6-2~2019-07-11_09.35.
> 49_LibreOfficeDev_6.2.6.0.0_Linux_x86-64_rpm.tar.gz
> 


It success to start with SAL_USE_VCLPLUGIN=kde4 and works fine even while opening protected documents and during mouse hover on File>Send:

> SAL_USE_VCLPLUGIN=kde4 /opt/libreofficedev6.2/program/soffice                                                                                                                                                
/opt/libreofficedev6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreofficedev6.2/program/libmergedlo.so)                                                                   
LibreOffice(9850) KSambaSharePrivate::testparmParamValue: We got some errors while running testparm "Load smb config files from /etc/samba/smb.conf                                                                               
Loaded services file OK.                                                                                                                                                                                                          
ERROR: Invalid idmap range for domain *!                                                                                                                                                                                          
                                                                                                                                                                                                                                  
"                                                                                                                                                                                                                                 
X Error: BadMatch (invalid parameter attributes) 8                                                                                                                                                                                
  Major opcode: 42 (X_SetInputFocus)                                                                                                                                                                                              
  Resource id:  0xd608990                                                                                                                                                                                                         
X Error: BadMatch (invalid parameter attributes) 8                                                                                                                                                                                
  Major opcode: 42 (X_SetInputFocus)                                                                                                                                                                                              
  Resource id:  0xd608990                                                                                                                                                                                                         
X Error: BadMatch (invalid parameter attributes) 8                                                                                                                                                                                
  Major opcode: 42 (X_SetInputFocus)                                                                                                                                                                                              
  Resource id:  0xd60941a                                                                                                                                                                                                         
X Error: BadMatch (invalid parameter attributes) 8                                                                                                                                                                                
  Major opcode: 42 (X_SetInputFocus)                                                                                                                                                                                              
  Resource id:  0xd60941a                                                                                                                                                                                                         

In about dialog I see:

Version: 6.2.6.0.0+
Build ID: 45cf5d55221b92e395948cb2e36d6ae6f056b1a3
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-07-11_09:35:49
Locale: lt-LT (lt_LT.UTF-8); UI-Language: en-US
Calc: threaded
Comment 24 opensuse.lietuviu.kalba 2019-07-25 10:33:07 UTC
More SAL_USE_VCLPLUGIN parameters tested:

> SAL_USE_VCLPLUGIN=gtk3_kde5  /opt/libreofficedev6.2/program/soffice
/opt/libreofficedev6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreofficedev6.2/program/libmergedlo.so)
/opt/libreofficedev6.2/program/soffice.bin: relocation error: /opt/libreofficedev6.2/program/libvclplug_qt5lo.so: symbol _ZN5QIcon9fromThemeERK7QString, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference

--------------

> SAL_USE_VCLPLUGIN=kde5  /opt/libreofficedev6.2/program/soffice
/opt/libreofficedev6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreofficedev6.2/program/libmergedlo.so)
/opt/libreofficedev6.2/program/soffice.bin: relocation error: /opt/libreofficedev6.2/program/libvclplug_qt5lo.so: symbol _ZN5QIcon9fromThemeERK7QString, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference

--------------

> SAL_USE_VCLPLUGIN=qt5  /opt/libreofficedev6.2/program/soffice
/opt/libreofficedev6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreofficedev6.2/program/libmergedlo.so)
/opt/libreofficedev6.2/program/soffice.bin: relocation error: /opt/libreofficedev6.2/program/libvclplug_qt5lo.so: symbol _ZN5QIcon9fromThemeERK7QString, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference

--------------

> SAL_USE_VCLPLUGIN=gtk3  /opt/libreofficedev6.2/program/soffice
/opt/libreofficedev6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreofficedev6.2/program/libmergedlo.so)

(soffice:10419): Gdk-WARNING **: XSetErrorHandler() called with a GDK error trap pushed. Don't do that.

GTK3 WORKS fine even while opening protected documents and during mouse hover on File>Send

--------------

> SAL_USE_VCLPLUGIN=gtk  /opt/libreofficedev6.2/program/soffice
/opt/libreofficedev6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreofficedev6.2/program/libmergedlo.so)

GTK WORKS fine even while opening protected documents and during mouse hover on File>Send
Comment 25 Xisco Faulí 2019-11-08 12:11:26 UTC
Hello opensuse.lietuviu.kalba@gmail.com
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 26 opensuse.lietuviu.kalba 2019-11-13 19:58:42 UTC
Updated to version 6.2.8.2
ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee

If I install libobasis6.2-kde-integration and run LO, I get error:

/opt/libreoffice6.2/program/soffice.bin: relocation error: /opt/libreoffice6.2/program/libvclplug_qt5lo.so: symbol _ZN5QIcon9fromThemeERK7QString, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference
Comment 27 opensuse.lietuviu.kalba 2019-11-13 20:05:18 UTC
Testing in openSUSE Leap 42.3, LibreOffice 6.2.8 installed from LibreOffice site RPM packages.
Funny, if I start with full path, it fails:

> SAL_USE_VCLPLUGIN=gtk3_kde5  /opt/libreofficedev6.2/program/soffice
/opt/libreofficedev6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreofficedev6.2/program/libmergedlo.so)
/opt/libreofficedev6.2/program/soffice.bin: relocation error: /opt/libreofficedev6.2/program/libvclplug_qt5lo.so: symbol _ZN5QIcon9fromThemeERK7QString, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference


BUT if I enter into LibreOffice program directory and start as with relative path, it success (only few warnings in terminal):

/opt/libreoffice6.2/program> SAL_USE_VCLPLUGIN=gtk3_kde5  ./soffice
/opt/libreoffice6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreoffice6.2/program/libmergedlo.so)

(soffice:10471): Gdk-WARNING **: XSetErrorHandler() called with a GDK error trap pushed. Don't do that.
Comment 28 opensuse.lietuviu.kalba 2019-11-13 20:17:12 UTC
Sorry, in comment#27 part 1 I wrote about old 6.2 devel version.

Indeed, starting with full path is same as with relative path:

> SAL_USE_VCLPLUGIN=gtk3_kde5  /opt/libreoffice6.2/program/soffice                                                                                                                                                   
/opt/libreoffice6.2/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreoffice6.2/program/libmergedlo.so)                                                                         
                                                                                                                                                                                                                                  
(soffice:11391): Gdk-WARNING **: XSetErrorHandler() called with a GDK error trap pushed. Don't do that.
Comment 29 opensuse.lietuviu.kalba 2019-11-13 20:27:03 UTC
Now upgrading to version 6.3.3.2
ID: a64200df03143b798afd1ec74a12ab50359878ed
I installed libobasis6.3-kde-integration in addition.

if I start LibreOffice without any variables, it fails:
>  /opt/libreoffice6.3/program/soffice
/opt/libreoffice6.3/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreoffice6.3/program/libmergedlo.so)
/opt/libreoffice6.3/program/soffice.bin: relocation error: /opt/libreoffice6.3/program/libvclplug_qt5lo.so: symbol _ZN5QIcon9fromThemeERK7QString, version Qt_5 not defined in file libQt5Gui.so.5 with link time reference

Forcing GTK3+KDE5 will success:
> SAL_USE_VCLPLUGIN=gtk3_kde5  /opt/libreoffice6.3/program/soffice
/opt/libreoffice6.3/program/soffice.bin: /lib64/libdbus-1.so.3: no version information available (required by /opt/libreoffice6.3/program/libmergedlo.so)

(soffice:11883): Gdk-WARNING **: XSetErrorHandler() called with a GDK error trap pushed. Don't do that.
Comment 30 opensuse.lietuviu.kalba 2019-11-13 20:32:17 UTC
If I remove libobasis6.3-kde-integration and libobasis6.2-kde-integration , then
both LibreOffice versions (6.3.3.2 and 6.2.8.2) starts successfully with GTK3 back-end (not GTK3_KDE5) as
libobasis6.2-gnome-integration and libobasis6.3-gnome-integration are installed.

Thus we can close this bug as GTK3_KDE5 startup in for old systems no longer crash (ie. is fixed)